
/* General */
html, body{background:#fafafb;}
html, body, a, table.table{color:#1a3353;}


/* Topnav Admin */
nav.topnav-admin{
  position:fixed; top:0; left:0; width:100%; background:#ffffff; z-index:95;
  border-bottom:2px solid #f2f2f2; box-shadow:rgb(0 0 0 / 3%) 0px 4px 8px;
}
nav.topnav-admin > .wrapper{position:relative; width:100%; padding:0 1.25rem; height:4rem;}
nav.topnav-admin .options{
  width:100%; display:flex; align-items:center; justify-content:space-between; height:100%;
}
nav.topnav-admin .option{display:flex; align-items:center; height:100%;}
nav.topnav-admin .menu-option{
	display:none; align-items:center; justify-content:center; width:2rem; height:2rem;
	margin:0 1rem 0 0; cursor:pointer; border-radius:50%; transition:background .25s;
}
nav.topnav-admin .menu-option:hover{background:#f2f2f2;}
nav.topnav-admin .hamburger > *{background:#1a3353;}
nav.topnav-admin .logo{display:block; margin:0; transition:opacity .25s;}
nav.topnav-admin .logo:hover{opacity:.8;}
nav.topnav-admin .logo h6{
	font-size:1.875rem; font-weight:800; white-space:nowrap; line-height:1.1;
	color:var(--pcolor); transition:color .25s;
}
nav.topnav-admin .logo p{
	font-size:.75rem; font-weight:400; margin:0; opacity:.6;
	white-space:nowrap; transition:color .25s;
}
nav.topnav-admin .avatar-container{position:relative; padding:.6875rem 0 .6875rem .5rem;}
nav.topnav-admin .avatar-container > .MuiAvatar-root{cursor:pointer;}
nav.topnav-admin .avatar-container > .dropdown{
	position:absolute; top:calc(100% + .625rem); right:0; border-radius:.3125rem;
	width:11.25rem; pointer-events:none; opacity:0; box-shadow:rgb(0 0 0 / 3%) 0px 4px 8px;
	background:#ffffff; border:1px solid #f2f2f2; transition:top .25s, opacity .25s;
}
nav.topnav-admin .avatar-container:hover > .dropdown{top:100%; opacity:1; pointer-events:all;}
nav.topnav-admin .avatar-container > .dropdown .MuiListItemIcon-root{min-width:44px;}
nav.topnav-admin .text-line{
	width:100%; max-width:10rem; display:block; display:-webkit-box; text-overflow:ellipsis;
	overflow:hidden; -webkit-box-orient:vertical; -webkit-line-clamp:1;
}
nav.topnav-admin + .topnav-spacer{display:block; width:100%; height:4rem;}
@media screen and (max-width:991.98px){
  nav.topnav-admin > .wrapper{padding-left:1rem; padding-right:1rem;}
  nav.topnav-admin .menu-option{display:flex;}
}
@media screen and (max-width:767.98px){
	nav.topnav-admin .logo h6{font-size:1.75rem;}
	nav.topnav-admin .logo p{display:none;}
}


/* Sidenav Admin */
nav.sidenav-admin{
  position:fixed; top:calc(4rem + 2px); left:0; background:#ffffff; z-index:96;
  width:250px; height:calc(100% - 4rem - 2px); transition:transform .45s;
}
nav.sidenav-admin > .wrapper{
  display:block; position:relative; width:100%; height:100%; overflow-x:hidden;
  overflow-y:auto; padding:0 0 2rem 0;
}
nav.sidenav-admin > .wrapper::before{
  content:''; position:absolute; top:0; bottom:0; right:0; width:2px; background:#f2f2f2;
}
nav.sidenav-admin .title{
  display:block; padding:.75rem 1.25rem; font-size:.8125rem; font-weight:600; opacity:.75;
  color:#72849a; text-transform:uppercase; letter-spacing:.04rem; margin:.6875rem 0 0 0;
}
nav.sidenav-admin .menu{
  position:relative; display:flex; align-items:center; height:2.75rem; padding:.75rem 1.25rem;
  font-weight:500; color:#455560; font-size:.875rem; border-right:2px solid transparent;
  transition:color .25s, border-color .25s, background .25s;
}
nav.sidenav-admin .menu > .icon{width:1.5rem; text-align:center; margin:0 .5rem 0 0;}
nav.sidenav-admin .menu > .icon .MuiSvgIcon-root{font-size:1.125rem;}
nav.sidenav-admin .menu:hover, nav.sidenav-admin .menu.active{color:var(--pcolor);}
nav.sidenav-admin .menu.active{background:#ebf1fe; border-color:var(--pcolor);}
@media screen and (max-width:991.98px){
  nav.sidenav-admin{transform:translateX(-250px);}
  nav.sidenav-admin.active{transform:translateX(0);}
  nav.sidenav-admin .title, nav.sidenav-admin .menu{padding-left:1rem; padding-right:1rem;}
}


/* Footer Admin */
nav.footer-admin{position:absolute; bottom:0; left:0; right:0;}
nav.footer-admin > .wrapper{position:relative; padding:0 1.5rem;}
nav.footer-admin .inner-wrapper{
  width:100%; height:3rem; display:flex; align-items:center; justify-content:center;
  color:#455560;
}
@media screen and (max-width:991.98px){
  nav.footer-admin > .wrapper{padding:0 1rem;}
}


/* App Container */
.app-container{
  position:relative; width:100%; max-width:calc(100% - 250px); min-height:calc(100vh - 4rem);
  padding:1.5rem 1.5rem 4.5rem 1.5rem; margin:0 0 0 auto;
}
.app-container > .app-title{width:100%; margin:0 0 1rem 0; display:flex; align-items:center;}
.app-container > .app-title > .text{text-transform:capitalize;}
.app-container > .app-title > a{margin-right:.5rem;}
.app-container .app-card{
  width:100%; padding:1.25rem; border-radius:.625rem; border:1px solid #e6ebf1;
  background:#ffffff;
}
.app-container .app-card.app-card-header{
  border-bottom-left-radius:0; border-bottom-right-radius:0; border-bottom:0; padding:0;
}
.app-container .app-card.app-card-body{
  border-top-left-radius:0; border-top-right-radius:0; padding-top:0;
}
.app-container .table-options{justify-content:space-between;}
.app-container .table-options .grid{margin-top:0; margin-bottom:.5rem;}
.app-container .table-options > .grid:last-child{text-align:right;}
@media screen and (max-width:991.98px){
  .app-container{max-width:100%; padding:1rem 1rem 4rem 1rem;}
  .app-container .app-card{padding:1rem;}
}
@media screen and (max-width:575.98px){
  .app-container .table-options{justify-content:center; flex-direction:column-reverse;}
  .app-container .table-options > .grid:last-child{text-align:center;}
}


/* Video Container */
.video-container{display:block; position:relative; width:100%; padding:56.25% 0 0 0;}
.video-container > .wrapper{
  display:block; position:absolute; top:0; bottom:0; left:0; right:0; overflow:hidden;
}
.video-container .youtube-video,
.video-container iframe{display:block; width:100%; height:100%; border:0;}


/* Table */
table.table{margin:0; width:100%;}
table.table-question .num-q{width:3rem; font-size:3rem; font-weight:600; vertical-align:baseline;}
table.table-question .col-title{width:5rem; font-weight:500;}
